# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://docs.scrapy.org/en/latest/topics/item-pipeline.html


# useful for handling different item types with a single interface
from itemadapter import ItemAdapter
from scrapy.pipelines.images import ImagesPipeline
from scrapy.spiders import Request


class BizhiPipeline(ImagesPipeline):

    def get_media_requests(self, item, info):
        yield Request(item['image_url'], meta={'name': item['image_name']})

    def file_path(self, request, response=None, info=None):
        name = request.meta['name'].strip().replace('\r\n\t\t', '')
        name = name.replace('/', '_')
        return name + '.jpg'
    # def get_media_requests(self, item, info):
    #    yield Request(item['image_url'],meta={'name':item['image_name']})
    #
    # def file_path(self, request, response=None, info=None,):
    #     name =response.meta['name'].strip().replace('\r\n\t\t','')
    #     name = name.replace('/','_')
    #     return name + '.jpg'

