import scrapy


class BzSpider(scrapy.Spider):
    name = 'bz'
    allowed_domains = ['jj20.com']
    start_urls = ['http://www.jj20.com/bz/nxxz/shxz/323596.html']

    def parse(self, response):
        image_url = response.xpath('//img[@id="bigImg"]/@src').extract_first()
        image_name = response.xpath('string(//img[@id="bigImg"]/@alt)').extract_first()
        yield {
            'image_urls': [image_url],
            'image_name': image_name
        }
        # next_url = response.xpath('//a[@id="pageNext"]/@href').extract_first()
        next_url = response.xpath('//a[@id="pageNext"]/@href').extract_first()
        yield scrapy.Request(response.urljoin(next_url), callback=self.parse)
